package com.zcxk.xxljob.service;

import java.util.Map;

/**
 * @author linqingwei
 * @date 2021-08-11 11:36
 */
public interface MeterReadRecordService {
    /*
     * @description 创建未抄记录
     * @param map
     * @param index
     * @param total
     * @return
     * @author linqingwei
     **/
    void executeCreateMeterUnReadRecord(Map<String, Object> map, int index, int total);

    /*
     * @description 同步抄表记录到mysql
     * @param map
     * @return
     * @author linqingwei
     **/
    void executeSyncMeterReadRecord(Map<String, Object> map);

    void todayReadRateJobHandler(Map<String, Object> map);

    void yesterdayReadRateJobHandler(Map<String, Object> map);

    void recent7daysReadRateJobHandler(Map<String, Object> map);

    void lastMonthReadRateJobHandler(Map<String, Object> map);
}
